#ifndef SIGNALGEN_H
#define SIGNALGEN_H

#include "GenericTypeDefs.h"

void InitFpga(void);

void FpgaReset(void);
void ManualClk(void);
void WriteClk(void);

void FpgaResetStop();
void FpgaInitWrite();
void FpgaWrite(BYTE* data, SHORT size);
void FpgaInitGenerate(DWORD freq, SHORT phase, BYTE manual);

void FpgaSetFreq(DWORD freq);
void FpgaSetPhase(SHORT phase);
void FpgaSetClockSource(BYTE manual);

#endif